<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage app7
 * @since 1.0
 * @version 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */ 
	if(post_password_required()){
		return;
	}
?>
<!-- Comment list -->
<?php if(number_format_i18n( get_comments_number() ) != 0) : ?>
	<div class="comment-box comment-form">
		<h3 class="heading-text comment-title"><?php comments_number( esc_html__( 'No Comments', 'app7' ), esc_html__( 'One Comments', 'app7' ), esc_html__( 'Comments (%)', 'app7' ) ); ?></h3>
		<!-- COMMENT START HERE -->
		<ul class="media-list">
			<?php 
				if( number_format_i18n( get_comments_number() ) > 0 ) {
					wp_list_comments(array(
	            		'style'			=> 'ul',
	            		'callback'		=> 'app7_comment_list',
	            		'short_ping'	=> true
					));
				}
			?>
		</ul>
		 <?php 
		 	the_comments_navigation( array(
		 		'screen_reader_text' => ' '
			) ); 
			?>						
	</div>
<?php endif; ?>

<!-- Comments Form -->
<?php 
	$commenter = wp_get_current_commenter();
	$req = get_option( 'require_name_email' );
	$aria_req = ($req ? " aria-required='true' " : '');
	$required_text = ' ';
	$args = array(
		'class_form'	=> 'send-comment comments-form',
		'title_reply'	=> esc_html__( 'Leave A Comments', 'app7' ),
		'submit_button'	=> '<button type="submit" class="btn btn-dark-red">'.esc_html__( 'Submit', 'app7' ).'</button>',
		'comment_field'	=> '<div class="form-group">
								<textarea name="comment" class="message" placeholder="'.esc_html__( 'Comment', 'app7' ).'" '.$aria_req.' rows="8"></textarea>	
							</div>',
		'fields'		=> apply_filters( 'comment_form_default_fields', array(
			'author'    => '<div class="form-group">
								<div class="row">
									<div class="col-sm-6">
										<input type="text" class="input left" name="author" value="'.esc_attr( $commenter['comment_author'] ).'" '.$aria_req.' placeholder="'.esc_html__( 'Name *', 'app7' ).'">
									</div>',
					'email'		=> '<div class="col-sm-6">
										<input type="email" class="input right" name="email" value="'.esc_attr( $commenter['comment_author_email'] ).'" '.$aria_req.' placeholder="'.esc_html__( 'Email *', 'app7' ).'">
									</div>
								</div>
							</div>'
		)),
		'label_submit'	=> esc_html__( 'SUBMIT', 'app7' ),
	);
	comment_form( $args );
?>