<?php
/**
* App7 page title
*/
if(!function_exists('app7_page_title')){
	function app7_page_title(){
	?>
		<div class="page-title bg-gradient-red">
	        <div class="container">
	            <div class="row justify-content-center">
	                <div class="col-12">
		                <div class="banner-title">
		                    <h1 class="title"><?php (is_home() && is_front_page()) ? esc_html_e('Blog Home','app7') : wp_title($sep = ''); ?></h1>
		                    <ul class="breadcrumb d-flex justify-content-center">
		                        <?php print app7_breadcrumbs(); ?>
		                    </ul>                  
		                </div>                
	                </div>                
	            </div>
	        </div>        
	    </div>
	<?php
	}
}
/**
* Newspot Archive Page Title
*/
if(!function_exists('app7_archive_page_title')){
	function app7_archive_page_title(){
	?>
		<div class="inner-page-header">
	        <div class="container">
	            <div class="row">
	                <div class="col-12">
		                <div class="app7-banner-title">
							<?php if(have_posts()) : 
								the_archive_title( '<h1 class="heading">', '</h1>' );
								the_archive_description( '<div class="taxonomy-description">', '</div>' );
							  endif; ?> 	
							<ol class="breadcrumb">
								<?php print app7_breadcrumbs(); ?>
							</ol>
						</div>
					</div>
				</div>
			</div>	
		</div>
	<?php
	}
}
/**
* App7 breadcrumbs
*/
if (!function_exists('app7_breadcrumbs')) {
	function app7_breadcrumbs(){
			$home = '<li class="breadcrumb-item"><a href="' . esc_url(home_url()) . '" title="' . esc_attr__('Home', 'app7') . '">' . esc_html__('Home', 'app7') . '</a></li>';
			$showCurrent = 1;

			global $post;
			$homeLink = esc_url(home_url());
			if (is_front_page()) {
					return;
			}    // don't display breadcrumbs on the homepage (yet)

			printf( '%s', $home );

			if (is_category()) {
					// category section
					$thisCat = get_category(get_query_var('cat'), false);
					if (!empty($thisCat->parent)) {
							echo get_category_parents($thisCat->parent, true, ' ' . '/' . ' ');
					}
					echo '<li class="breadcrumb-item">' . esc_html__('Archive for category', 'app7') . ' "' . single_cat_title('', false) . '"' . '</li>';
			} elseif (is_search()) {
					// search section
					echo '<li class="breadcrumb-item">' . esc_html__('Search results for', 'app7') . ' "' . get_search_query() . '"' . '</li>';
			} elseif (is_day()) {
					echo '<li class="breadcrumb-item"><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li>';
					echo '<li class="breadcrumb-item"><a href="' . get_month_link(get_the_time('Y'), get_the_time('m')) . '">' . get_the_time('F') . '</a></li>';
					echo '<li class="breadcrumb-item">' . get_the_time('d') . '</li>';
			} elseif (is_month()) {
					// monthly archive
					echo '<li class="breadcrumb-item"><a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a></li>';
					echo '<li class="breadcrumb-item">' . get_the_time('F') . '</li>';
			} elseif (is_year()) {
					// yearly archive
					echo '<li class="breadcrumb-item">' . get_the_time('Y') . '</li>';
			} elseif (is_single() && !is_attachment()) {
					// single post or page
					if (get_post_type() != 'post') {
							$post_type = get_post_type_object(get_post_type());
							$slug = $post_type->rewrite;
							echo '<li class="breadcrumb-item"><a href="' . $homeLink . '/?post_type=' . $slug['slug'] . '">' . $post_type->labels->singular_name . '</a></li>';
							if ($showCurrent) {
									echo '<li class="breadcrumb-item">' . get_the_title() . '</li>';
							}
					} else {
							$cat = get_the_category();
							if (isset($cat[0])) {
									$cat = $cat[0];
							} else {
									$cat = false;
							}
							if ($cat) {
									$cats = get_category_parents($cat, true, ' ' . ' ' . ' ');
							} else {
									$cats = false;
							}
							if (!$showCurrent && $cats) {
									$cats = preg_replace("#^(.+)\s\s$#", "$1", $cats);
							}
							echo '<li class="breadcrumb-item">' . $cats . '</li>';
							if ($showCurrent) {
									echo '<li class="breadcrumb-item">' . get_the_title() . '</li>';
							}
					}
			} elseif (!is_single() && !is_page() && get_post_type() != 'post' && !is_404()) {
					// some other single item
					$post_type = get_post_type_object(get_post_type());
					if (!empty($post_type)) {
							echo '<li class="breadcrumb-item">' . $post_type->labels->singular_name . '</li>';
					}
			} elseif (is_attachment()) {
					// attachment section
					$parent = get_post($post->post_parent);
					$cat = get_the_category($parent->ID);
					if (isset($cat[0])) {
							$cat = $cat[0];
					} else {
							$cat = false;
					}
					if ($cat) {
							echo get_category_parents($cat, true, ' ' . ' ' . ' ');
					}
					echo '<li class="breadcrumb-item"><a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a></li>';
					if ($showCurrent) {
							echo '<li class="breadcrumb-item">' . get_the_title() . '</li>';
					}
			} elseif (is_page() && !$post->post_parent) {
					if ($showCurrent) {
							echo '<li class="breadcrumb-item">' . get_the_title() . '</li>';
					}
			} elseif (is_page() && $post->post_parent) {
					// child page
					$parent_id = $post->post_parent;
					$breadcrumbs = array();
					while ($parent_id) {
							$page = get_page($parent_id);
							$breadcrumbs[] = '<li class="breadcrumb-item"><a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a></li>';
							$parent_id = $page->post_parent;
					}
					$breadcrumbs = array_reverse($breadcrumbs);
					for ($i = 0; $i < count($breadcrumbs); $i++) {
							printf( '%s', $breadcrumbs[$i] );
							if ($i != count($breadcrumbs) - 1) {
									;
							}
					}
					if ($showCurrent) {
							echo '<li class="breadcrumb-item">' . get_the_title() . '</li>';
					}
			} elseif (is_tag()) {
					// tags archive
					echo '<li class="breadcrumb-item">' . esc_html__('Posts tagged', 'app7') . ' "' . single_tag_title('', false) . '"' . '</li>';
			} elseif (is_author()) {
					// author archive
					global $author;
					$userdata = get_userdata($author);
					echo '<li class="breadcrumb-item">' . esc_html__('Articles posted by', 'app7') . ' ' . $userdata->display_name . '</li>';
			} elseif (is_404()) {
					// 404
					echo '<li class="breadcrumb-item">' . esc_html__('Not Found', 'app7') . '</li>';
			} elseif (is_home()) {
					if ($showCurrent) {
							echo '<li class="breadcrumb-item">' . wp_title('', false) . '</li>';
					}
			}

			if (get_query_var('paged')) {
					if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author()) {
							echo '<li class="paged-page breadcrumb-item">(';
					}
					echo esc_html__('Page', 'app7') . ' ' . get_query_var('paged');
					if (is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author()) {
							echo ')</li>';
					}
			}
	}
}


// comments list
if(!function_exists('app7_comment_list')){
	function app7_comment_list($comment, $args, $depth){
		$GLOBALS['comment'] = $comment;
		extract($args, EXTR_SKIP);
	?>
		<li id="comment-<?php comment_ID(); ?>" class="media">
			<?php 
				$comment_media_left = get_avatar( $comment,80,null,null,array('class'=>array('media-object')));
				if (!empty($comment_media_left)) { ?>
					<div class="media-left">
						<?php print  get_avatar( $comment,80,null,null,array('class'=>array('media-object'))); ?>
					</div>
				<?php }
			?>
			<div class="media-body">
				<div class="entry-header">
					<span class="media-heading"><?php print get_comment_author_link(); ?> <?php print esc_html__('/', 'app7') ?>
					</span>
					<span class="date"><?php comment_date( get_option( 'date_format' ) ); ?></span>
				</div>
				<div class="entry-content">
					<?php comment_text(); ?>
				</div>
				<p class="replay">
					<?php comment_reply_link( array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'],'reply_text'=>'<i class="fa fa-share" aria-hidden="true"></i>' . esc_html__('Reply','app7') ) ) ); ?>
				</p>
			</div>
		<?php
	}
}


/**
* app7 Post Share
*/
if(!function_exists('app7_post_share')){
	function app7_post_share(){
		global $post;
		// Get current page URL 
		$crunchifyURL = get_permalink();
	 
		// Get current page title
		$crunchifyTitle = str_replace( ' ', '%20', get_the_title());
		$twitterURL = 'https://twitter.com/intent/tweet?text='.$crunchifyTitle.'&amp;url='.$crunchifyURL.'&amp;via=Crunchify';
		$facebookURL = 'https://www.facebook.com/sharer/sharer.php?u='.$crunchifyURL;
		$googleURL = 'https://plus.google.com/share?url='.$crunchifyURL;
		$pinterest = 'http://pinterest.com/pin/create/button/?url='.$crunchifyURL;
		?>
		<div class="social-share">
			<a href="<?php print esc_url($facebookURL); ?>" target="_blank"><i class="fa fa-facebook"></i></a>
			<a href="<?php print esc_url($twitterURL); ?>" target="_blank"><i class="fa fa-twitter"></i></a>
			<a href="<?php print esc_url($googleURL); ?>" target="_blank"><i class="fa fa-google-plus"></i></a>
			<a href="<?php print esc_url($pinterest); ?>" target="_blank"><i class="fa fa-pinterest"></i></a>
		</div>
		<?php
	}
}

/**
* app7 navbar
*/
if(!function_exists('app7_navbar')){
	function app7_navbar(){
	?>
	<!-- header -->
    <header id="header" class="header">
        <nav class="navbar navbar-default navbar-home navbar-fixed-top">
          <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
              <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                <span class="sr-only"><?php esc_html_e( 'Toggle navigation', 'app7' ); ?></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
              </button>
              	<?php  
              		$logo_style 		= get_theme_mod( 'logo_style' );
					$header_logo 		= get_theme_mod('header_logo');
					$header_logo_text 	= get_theme_mod('header_logo_text');
				 
              		if($logo_style == 'two'){ ?>
	              		<a class="navbar-brand" href="<?php print esc_url( home_url( '/' ) ); ?>">
							<img src="<?php print esc_url($header_logo);?>">
						</a>
					<?php 
					}else{ ?>
						<a class="navbar-brand" href="<?php print esc_url( home_url( '/' ) ); ?>">
							<?php
								if(!empty($header_logo_text)) : 
	                                print esc_html( $header_logo_text ) ;
	                            else: 
	                                print ''.esc_html__( 'App7', 'app7' );
	                            endif;
                            ?>
						</a>
					<?php }
              	?>
	            
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
              	<?php 
					wp_nav_menu( array( 
						'theme_location' 	=> 'main_menu',
						'menu_class'     	=> 'nav navbar-nav navbar-right',
						'menu_id'			=> 'main_navbar',
						'fallback_cb'		=> ' '	
					) );
				?>                                               
            </div>
          </div>
    </header>
    <!-- /.header -->

	<?php
	}
}
add_action( 'app7_after_body', 'app7_navbar', 10 );

/**
 * app7 Menu
 */

if(!function_exists('app7_footer')){
	function app7_footer(){
		$footer_style 	= get_theme_mod( 'footer_style' );
		$subscribe_text = get_theme_mod( 'subscribe_text' );
		$footer_logo 	= get_theme_mod( 'footer_logo' );
		$copyright 		= get_theme_mod( 'copyright' );

		if($footer_style == 'two'){ ?>
			<!-- footer -->
		    <footer class="footer-section footer-bg">
		        <div class="overlay bg-gradient-red">
		            <div class="container">
		                <div class="row">
		                    <div class="col-lg-6 col-lg-offset-3 col-md-8 col-md-offset-2 col-sm-10 col-sm-offset-1 text-center">
		                        <?php 
		                        	print do_shortcode($subscribe_text);
		                        ?>
		                        <?php
		                        	if(!empty($footer_logo)){ ?>
										<div class="footer-logo">
				                            <h2 class="logo"><?php print esc_html( $footer_logo ); ?></h2>
				                        </div>
									<?php };

		                        	if (!empty(app7_social_icons())) { ?>
		                        		<ul class="social-area"> 
				                            <?php print app7_social_icons(); ?>
				                        </ul>
		                        	<?php };
		                        
		                        	if (!empty($copyright)) { ?>
		                        		<p class="footer-bottom">
		                        			<?php print esc_html( $copyright ); ?>
		                        		</p>
		                        	<?php }else { ?>
		                        		<p class="footer-bottom"><?php print esc_html__('&copy; Copyright ThemeLayer. All rights reserved 2018', 'app7' ); ?></p>
		                        	<?php };
		                        ?>
		                    </div>
		                </div>
		            </div>
		        </div>
		    </footer>
		    <!-- footer -->    
		<?php }else {
			?>
				<footer class="footer-section footer-section-two">
		            <div class="container">
						<?php dynamic_sidebar( 'footer-sidebar' );  ?>
		            </div>
		            <?php 
		            	if (!empty($copyright)) { ?>
		            		<p class="footer-bottom">
		            			<?php print esc_html( $copyright ); ?>
		            		</p>
		            	<?php }else { ?>
		            		<p class="footer-bottom"><?php print esc_html__('&copy; Copyright ThemeLayer. All rights reserved 2018', 'app7' ); ?></p>
		            	<?php }
		            ?>
	            </footer> 
			<?php
		}
	}
	add_action('app7_before_body', 'app7_footer');
}

// App7 social icons
if(!function_exists('app7_social_icons')){
	function app7_social_icons(){
		$output = '';
			$facebook = get_theme_mod( 'facebook' );
			$twitter = get_theme_mod( 'twitter' );
			$google_plus = get_theme_mod( 'google_plus' );
			$pinterest = get_theme_mod( 'pinterest' );
			$linkedin = get_theme_mod( 'linkedin' );
			if(!empty($facebook)){
				$output .='<li><a class="facebook-btn" href="'.esc_url( $facebook ).'"><i class="fa fa-facebook"></i></a></li>';
			}
			if(!empty($twitter)){
				$output .='<li><a class="twitter-btn" href="'.esc_url( $twitter ).'"><i class="fa fa-twitter"></i></a></li>';
			}
			if(!empty($google_plus)){
				$output .='<li><a class="google-btn" href="'.esc_url( $google_plus ).'"><i class="fa fa-google-plus"></i></a></li>';
			}
			if(!empty($pinterest)){
				$output .='<li><a class="pinterest-btn" href="'.esc_url( $pinterest ).'"><i class="fa fa-pinterest-p"></i></a></li>';
			}
			if(!empty($linkedin)){
				$output .='<li><a class="linkedin-btn" href="'.esc_url( $linkedin ).'"><i class="fa fa-linkedin"></i></a></li>';
			}
		return $output;
	}
}

/**
* Kalkulate inline image
*/
if(!function_exists('app7_background_image_load')){
	function app7_background_image_load(){
		// Header bg
		$footer_bg = get_theme_mod( 'footer_bg' );
		if($footer_bg == ''){
			$footer_bg = get_template_directory_uri() . '/images/bg-footer.png';
		}

		$custom_css = "
			.footer-bg {
				background-image: url($footer_bg);
			}
		";	

		wp_add_inline_style( 'app7-main-stylesheet', $custom_css );
	}
}
add_action( 'wp_enqueue_scripts', 'app7_background_image_load' );

