<?php if(is_single()) : ?>
    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
        <?php if(has_post_thumbnail()) : ?>
            <?php the_post_thumbnail( 'full', array('class' => 'img-responsive') ); ?>
        <?php endif; ?>
        <ul class="post-info">
            <li class="date">
                <i class="fa fa-calendar"></i>
                <?php the_time(get_option( 'date_format' )); ?>
            </li>
            <li class="admin">
                <span><?php print esc_html__('|', 'app7') ?></span>
                <i class="fa fa-user"></i><?php the_author(); ?>
            </li>
            <?php if(get_comments_number() > 0) : ?>   
                <li class="commets">
                    <span><?php print esc_html__('|', 'app7') ?></span>
                    <i class="fa fa-comments-o"></i><?php print get_comments_number(); ?>
                </li>
            <?php endif; ?>
            <li class="category">
                <?php if(has_category()) : ?>
                    <span><?php print esc_html__('|', 'app7') ?></span>
                    <?php the_category( ', '); ?>
                <?php endif; ?>
            </li>
        </ul>
        <?php the_content(); ?>
        <?php 
            wp_link_pages( array(
                'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'app7' ),
                'after'       => '</div>',
                'link_before' => '<span class="page-number">',
                'link_after'  => '</span>',
            ) );
        ?>
        <div class="blog-post-share-tag">
            <div class="blog-post-share">
                <span><?php print esc_html__('Share to:', 'app7') ?></span>
                <ul class="post-share">
                    <li><a href="<?php the_permalink(); ?>">
                        <?php app7_post_share(); ?></a>
                    </li>
                </ul>
            </div>
            <?php if(has_tag()) : ?>
                <div class="tag-list">
                    <span><?php print esc_html__('Tags:', 'app7') ?></span>
                    <?php the_tags(' ',', '); ?>
                </div>
            <?php endif; ?>
        </div>
    </div>
<?php else: ?>
    <div id="post-<?php the_ID(); ?>"  <?php post_class(); ?>>
        <?php if(has_post_thumbnail()) : ?>
            <?php the_post_thumbnail( 'full', array('class' => 'img-responsive') ); ?>
        <?php endif; ?>
        <div class="post-details">
            <h4 class="post-title">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
            </h4>
            <ul class="post-info">
                <li class="date">
                    <i class="fa fa-calendar"></i>
                    <?php the_time(get_option( 'date_format' )); ?>
                </li>
                <li class="admin">
                   <span><?php print esc_html__('|', 'app7') ?></span>
                   <i class="fa fa-user"></i><?php the_author(); ?>
                </li>
                <?php if(get_comments_number() > 0) : ?>
                    <li class="commets">
                        <span><?php print esc_html__('|', 'app7') ?></span>
                        <i class="fa fa-comments-o"></i><?php print get_comments_number(); ?>
                    </li>
                <?php endif; ?>
            </ul>
            <p class="subtitle"><?php print wp_trim_words( get_the_content(), 23, null ); ?></p>
            <a class="read-more" href="<?php the_permalink(); ?>"><?php esc_html_e( 'Read More', 'app7' ); ?></a>
        </div>
    </div>
<?php endif; ?>